/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

/**
 * Clase Requisito de Informacion, clase que crea un requisito de informacion
 * @author MW3 Software
 */
public class ReqInformacion extends Requisito
{
    /**
     * Concepto del Requisito
     */
    private String conceptoRelevante;
    /**
     * Tiempo de vida maxima del Requisito
     */
    private int tiempoMaxVida;
    /**
     * Tiempo medio de vida del Requisito
     */
    private int tiempoMedVida;
    /**
     * Unidad maxima de frecuencia del Requisito
     */
    private String unidadFreqMax;
    /**
     * Unidad media de frecuencia del Requisito
     */
    private String unidadFreqMed;
    /**
     * Numero de Ocurrencias del Requisito
     */
    private int numOcurrencias;
    /**
     * Numero medio del Requisito
     */
    private int numMedio;


    /**
     * Metodo que devuelve el Concepto
     * @return devuelve el Concepto del Requisito
     */
    public String getConceptoRelevante()
    {
        return conceptoRelevante;
    }

    /**
     * Metodo que almacena el Concepto
     * @param conceptoRelevante nuevo valor de conceptoRelevante del Requisito
     */
    public void setConceptoRelevante(String conceptoRelevante)
    {
        this.conceptoRelevante = conceptoRelevante;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el Tiempo MAX de vida
     * @return devuelve el tiempo maximo de vida del Requisito
     */
    public int getTiempoMaxVida()
    {
        return tiempoMaxVida;
    }

    /**
     * Metodo que almacena el Tiempo MAX de vida
     * @param tiempoMaxVida nuevo valor de tiempoMaxVida del Requisito
     */
    public void setTiempoMaxVida(int tiempoMaxVida)
    {
        this.tiempoMaxVida = tiempoMaxVida;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el Tiempo MED de vida
     * @return devuelve el tiempo medio de vida del Requisito
     */
    public int getTiempoMedVida()
    {
        return tiempoMedVida;
    }

    /**
     * Metodo que almacena el Tiempo MED de vida
     * @param tiempoMedVida nuevo valor de TiempoMedVida del Requisito
     */
    public void setTiempoMedVida(int tiempoMedVida)
    {
        this.tiempoMedVida = tiempoMedVida;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    
    }

    /**
     * Metodo que devuelve la Unidad de Frecuencia MAX
     * @return devuelve la unidad de frecuencia maxima del Requisito
     */
    public String getUnidadFreqMax()
    {
        return unidadFreqMax;
    }

    /**
     * Metodo que almacena la unidad de frecuencia MAX
     * @param unidadFreqMax nuevo valor de unidadFreqMax del Requisito
     */
    public void setUnidadFreqMax(String unidadFreqMax)
    {
        this.unidadFreqMax = unidadFreqMax;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve la Unidad de frecuencia MED
     * @return devuelve la Unidad de frecuencia media del Requisito
     */
    public String getUnidadFreqMed()
    {
        return unidadFreqMed;
    }

    /**
     * Metodo que almacena la unidad de frecuencia MED
     * @param unidadFreqMed nuevo valor de unidadFreqMed del Requisito
     */
    public void setUnidadFreqMed(String unidadFreqMed)
    {
        this.unidadFreqMed = unidadFreqMed;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el Numero de Ocurrencias
     * @return devuelve el numero de Ocurrencias del Requisito
     */
    public int getNumOcurrencias()
    {
        return numOcurrencias;
    }

    /**
     * Metodo que almacena el numero de ocurrencias
     * @param numOcurrencias nuevo valor de numOcurrencias del Requisito
     */
    public void setNumOcurrencias(int numOcurrencias)
    {
        this.numOcurrencias = numOcurrencias;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el Numero medio
     * @return devuelve el numero medio del Requisito
     */
    public int getNumMedio()
    {
        return numMedio;
    }

    /**
     * Metodo que almacena el numero medio
     * @param numMedio nuevo valor de numMedio del Requisito
     */
    public void setNumMedio(int numMedio)
    {
        this.numMedio = numMedio;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    
}
/*private String conceptoRelevante;
    private int tiempoMaxVida;
    private int tiempoMedVida;
    private String unidadFreqMax;
    private String unidadFreqMed;
    private int numOcurrencias;
    private int numMedio;*/